import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { MonitorRulesettingContactRel } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 13:46
 */
interface MonitorRulesettingContactRelCU extends ConditionUtil<MonitorRulesettingContactRelCU> {
    ID: FieldUtil<MonitorRulesettingContactRelCU>;
    SETTING_ID: FieldUtil<MonitorRulesettingContactRelCU>;
    CONTACT_GROUP_ID: FieldUtil<MonitorRulesettingContactRelCU>;
    DELETED: FieldUtil<MonitorRulesettingContactRelCU>;
    CREATE_TIME: FieldUtil<MonitorRulesettingContactRelCU>;
    UPDATE_TIME: FieldUtil<MonitorRulesettingContactRelCU>;
}
declare class MonitorRulesettingContactRelMU extends TableUtilImpl<MonitorRulesettingContactRelCU, MonitorRulesettingContactRel> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): MonitorRulesettingContactRelCU;
    static get ID(): FieldUtil<MonitorRulesettingContactRelCU>;
    static get SETTING_ID(): FieldUtil<MonitorRulesettingContactRelCU>;
    static get CONTACT_GROUP_ID(): FieldUtil<MonitorRulesettingContactRelCU>;
    static get DELETED(): FieldUtil<MonitorRulesettingContactRelCU>;
    static get CREATE_TIME(): FieldUtil<MonitorRulesettingContactRelCU>;
    static get UPDATE_TIME(): FieldUtil<MonitorRulesettingContactRelCU>;
    static get CONTACT_PHONE(): FieldInfo;
    static get CONTACT_ID(): FieldInfo;
    get ID(): FieldUtil<MonitorRulesettingContactRelCU>;
    get SETTING_ID(): FieldUtil<MonitorRulesettingContactRelCU>;
    get CONTACT_GROUP_ID(): FieldUtil<MonitorRulesettingContactRelCU>;
    get DELETED(): FieldUtil<MonitorRulesettingContactRelCU>;
    get CREATE_TIME(): FieldUtil<MonitorRulesettingContactRelCU>;
    get UPDATE_TIME(): FieldUtil<MonitorRulesettingContactRelCU>;
    get CONTACT_PHONE(): FieldInfo;
    get CONTACT_ID(): FieldInfo;
}
export { MonitorRulesettingContactRelMU, MonitorRulesettingContactRelCU };
